2

I've been trying to update/sync my vintage iPod Classic. I've come to understand what is required to connect this older iPod to iTunes is "Apple mobile device support". I tried to install this driver separately, but as soon as I do, iTunes tells me I am not using a current version of iTunes and won't let me open iTunes without updating to the latest version that excludes/removes the requisite "Apple mobile device support". I'm guessing iTunes intentionally stopped supporting old iPods? Any possible workaround would be appreciated. I am using iTunes on Windows 10. My newer iPod touch still syncs without issue.

2

0

You must log in to answer this question.